mscorlib 4.0.0.0 System.Exception System.Diagnostics.DebuggerDisplay("Count = {InnerExceptions.Count}")

is used to consolidate multiple failures into a single, throwable exception object. It is used extensively in the Task Parallel Library and Parallel LINQ (PLINQ). For additional information, see the Aggregating Exceptions entry in the .NET Matters blog. For an example, see How to: Handle Exceptions Thrown by Tasks and How to: Handle Exceptions in a PLINQ Query.

Represents one or more errors that occur during application execution.

- Constructor
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "DefaultMessageDisplayedByParameterlessCtorWriterMustSupply" This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The localized error message string.

  Initializes a new instance of the class with a system-supplied message that describes the error.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with references to the inner exceptions that are the cause of this exception.

  The exceptions that are the cause of the current exception.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.

  Initializes a new instance of the class with references to the inner exceptions that are the cause of this exception.

  The exceptions that are the cause of the current exception.
- Constructor
  4.0.0.0

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified message that describes the error.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message and references to the inner exceptions that are the cause of this exception.

  The error message that explains the reason for the exception.
  The exceptions that are the cause of the current exception.
- Constructor
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The error message string specified in .

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The message that describes the exception. The caller of this constructor is required to ensure that this string has been localized for the current system culture.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.
- Constructor
  4.0.0.0
  System.ParamArray
  To be added.

  Initializes a new instance of the class with a specified error message and references to the inner exceptions that are the cause of this exception.

  The error message that explains the reason for the exception.
  The exceptions that are the cause of the current exception.
- Method
  4.0.0.0
  System.AggregateException

  If any inner exceptions are themselves instances of , this method will recursively flatten all of them. The inner exceptions returned in the new will be the union of all of the the inner exceptions from exception tree rooted at the provided instance.

  Flattens an instances into a single, new instance.

  A new, flattened .

- Method
  4.0.0.0
  System.Exception To be added.

  Returns the that is the root cause of this exception.

  Returns the that is the root cause of this exception.

- Method
  4.0.0.0
  System.Void `` ``

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data. The contextual information about the source or destination.
- Method
  4.0.0.0
  System.Void ``

  Each invocation of the returns true or false to indicate whether the was handled. After all invocations, if any exceptions went unhandled, all unhandled exceptions will be put into a new which will be thrown. Otherwise, the method simply returns. If any invocations of the throws an exception, it will halt the processing of any more exceptions and immediately propagate the thrown exception as-is.

  Invokes a handler on each contained by this .

  The predicate to execute for each exception. The predicate accepts as an argument the to be processed and returns a Boolean to indicate whether the exception was handled.
- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.Exception> To be added. To be added.

  Gets a read-only collection of the instances that caused the current exception.

- Method
  4.0.0.0
  System.String To be added.

  Creates and returns a string representation of the current .

  A string representation of the current exception.